package org.jbossws.jbws3809;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import org.jboss.ws.api.annotation.WebContext;

/**
 * User: rsearls
 * Date: 7/15/14
 */
@WebService(name = "TemperatureService",
        portName = "TemperatureServicePort",
        targetNamespace = "http://org.jboss.ws.test",
        serviceName = "testService")
@SOAPBinding(style = SOAPBinding.Style.RPC, use = SOAPBinding.Use.LITERAL)
@WebContext(urlPattern="webCtxtTestService")
public class Temperature implements TemperatureService {

    @WebMethod(operationName = "getTemp")
    public String getTemp(@WebParam(name = "str") String str) {
        return "Temp is good: " + str;
    }
}
